<mat-form-field [formGroup]="inputForm" [ngStyle]="{'width': '100%'}" >
	<mat-label>{{metadata.label | translate}} <span *ngIf="required" class="requiredAsterisk">*</span></mat-label>
	<input class="{{disabled ? 'readOnly' : ''}}" #input [(ngModel)]="value" decimalFormatter [inputForm] ="inputForm" [decimalDigits] = "metadata.decimalDigits!==undefined && metadata.decimalDigits!==null ? metadata.decimalDigits : 0" [thousandsSeparator] = "metadata.thousandsSeparator" matInput [formControlName]="uniqueId" [name]="uniqueId" autocomplete="off">
	<mat-error *ngIf="inputForm.controls[uniqueId] && inputForm.controls[uniqueId].errors && inputForm.controls[uniqueId].errors.customValidator">
		{{ metadata.customValidatorMessage  | translate }}
	</mat-error>	
	<mat-error *ngIf="inputForm.controls[uniqueId] && inputForm.controls[uniqueId].errors && inputForm.controls[uniqueId].errors.required">
		{{'COMMON.FORM.REQUIRED' | translate }}
	</mat-error>
	<mat-error *ngIf="inputForm.controls[uniqueId] && inputForm.controls[uniqueId].errors && (inputForm.controls[uniqueId].errors.min || inputForm.controls[uniqueId].errors.max)">
		{{'COMMON.FORM.MIN_MAX_DIGITS' | translate : {'min' : minValue, 'max': maxValue} }}
	</mat-error>
	<mat-icon *ngIf="metadata.tooltip" class="tooltipIcon" matTooltip="{{metadata.tooltip | translate}}" matSuffix>help</mat-icon>
</mat-form-field>